<?php

namespace ProjectManagers\ProjectManager\Forms;

use Litepie\Form\FormInterpreter;

class Manager extends FormInterpreter
{

    /**
     * Sets the form and form elements.
     * @return null.
     */
    public static function setAttributes()
    {

        self::$urls = [
            'new' => [
                'url' => guard_url('project_manager/manager/new'),
                'method' => 'GET',
            ],
            'create' => [
                'url' => guard_url('project_manager/manager/create'),
                'method' => 'GET',
            ],
            'store' => [
                'url' => guard_url('project_manager/manager'),
                'method' => 'POST',
            ],
            'update' => [
                'url' => guard_url('project_manager/manager'),
                'method' => 'PUT',
            ],
            'list' => [
                'url' => guard_url('project_manager/manager'),
                'method' => 'GET',
            ],
            'delete' => [
                'url' => guard_url('project_manager/manager'),
                'method' => 'DELETE',
            ],
        ];
        self::$search = [
            'name' => [
                "type" => 'text',
                "label" => trans('project_manager::project_manager.label.name'),
                "placeholder" => trans('project_manager::project_manager.placeholder.name'),
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "4",
                "roles" => [],
            ]
        ];
        self::$orderBy = [
            'created_at' => trans('project_manager::project_manager.label.created_at'),
            'name' => trans('project_manager::project_manager.label.name'),
            'status' => trans('project_manager::project_manager.label.status'),
        ];
        self::$groups = [
            'main' => trans('project_manager::project_manager.groups.main'),
            'details' => trans('project_manager::project_manager.groups.details'),
            'images' => trans('project_manager::project_manager.groups.images'),
            'settings' => trans('project_manager::project_manager.groups.settings'),
        ];
        self::$list = [
            [
                'key' => "ref",
                'label' => trans('project_manager::project_manager.label.ref'),
                'sortable' => 'true',
                'roles' => [],
            ],
            [
                'key' => "id",
                'label' => trans('project_manager::project_manager.label.id'),
                'sortable' => 'true',
                'roles' => [],
            ],
            [
                'key' => "name",
                'label' => trans('project_manager::project_manager.label.name'),
                'sortable' => 'true',
                'roles' => [],
            ],
            [
                'key' => "status",
                'label' => trans('project_manager::project_manager.label.status'),
                'sortable' => 'true',
                'roles' => [],
            ],
        ];
        self::$fields = [
                'cv' => [
                "element" => 'package::package.formcontrols.VARCHAR',
                "type" => 'package::package.formcontrols.VARCHAR',
                "label" => trans('project_manager::manager.label.cv'),
                "placeholder" => trans('project_manager::manager.placeholder.cv'),
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'nativity' => [
                "element" => 'package::package.formcontrols.VARCHAR',
                "type" => 'package::package.formcontrols.VARCHAR',
                "label" => trans('project_manager::manager.label.nativity'),
                "placeholder" => trans('project_manager::manager.placeholder.nativity'),
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'seniority' => [
                "element" => 'package::package.formcontrols.VARCHAR',
                "type" => 'package::package.formcontrols.VARCHAR',
                "label" => trans('project_manager::manager.label.seniority'),
                "placeholder" => trans('project_manager::manager.placeholder.seniority'),
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'modified_at' => [
                "element" => 'package::package.formcontrols.DATETIME',
                "type" => 'package::package.formcontrols.DATETIME',
                "label" => trans('project_manager::manager.label.modified_at'),
                "placeholder" => trans('project_manager::manager.placeholder.modified_at'),
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            ')' => [
                "element" => 'package::package.formcontrols.ON',
                "type" => 'package::package.formcontrols.ON',
                "label" => trans('project_manager::manager.label.)'),
                "placeholder" => trans('project_manager::manager.placeholder.)'),
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
        ];

        return new static();
    }
}
